%global drupaldir %{_datadir}/drupal7

Name:    drupal7-footnotes
Version: 2.5
Release: 9%{?dist}
Summary: Allows to easily create automatically numbered footnote references

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/footnotes
Source0: http://ftp.drupal.org/files/projects/footnotes-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
Footnotes module can be used to easily create automatically numbered
footnote references into an article or post (such as a reference to a
URL).

%prep

%setup -qn footnotes

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .
%{__sed} -i 's/\r//' footnotes_wysiwyg/tinymce_plugin/langs/en_dlg.js
%{__sed} -i 's/\r//' footnotes_wysiwyg/tinymce_plugin/editor_plugin.js
find -type f -perm /111 | xargs chmod -x

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/footnotes
cp -pr * %{buildroot}%{drupaldir}/modules/footnotes

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changelog.txt LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/footnotes
%exclude %{drupaldir}/modules/footnotes/*.txt
%exclude %{drupaldir}/modules/footnotes/footnotes_wysiwyg

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 16 2011 Peter Borsa <peter.borsa@gmail.com> - 2.5-4
- Fixed previous changelog entry's email address

* Tue Nov 15 2011 Peter Borsa <peter.borsa@gmail.com> - 2.5-3
- Exclude footnotes_wysiwyg directory

* Thu Nov  3 2011 Peter Borsa <peter.borsa@gmail.com> - 2.5-2
- Multiple chmod -x are replaced.

* Tue Oct 18 2011 Peter Borsa <peter.borsa@gmail.com> - 2.5-1
- Initial packaging.
